%global packname  tkrplot
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.0.23
Release:          2%{?dist}
Summary:          TK Rplot

License:          GPLv2 or GPLv3
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_0.0-23.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-grDevices R-tcltk
# Imports:
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-grDevices R-tcltk
BuildRequires:    R-devel tex(latex) R-grDevices R-tcltk

%description
simple mechanism for placing R graphics in a Tk widget


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Fri May 18 2018 Tom Callaway <spot@fedoraproject.org> - 0.0.23-2
- rebuild for R 3.5.0

* Tue Mar 20 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.0.23-1
- initial package for Fedora
